import request from '@/utils/request'

// 根据订单编号获得分批提货数据
export function getPickUpListByOrderNo(params){
    return request({
        url:'/ecw/order-pickup/getPickUpListByOrderNo',
        method:'get',
        params
    })
}

// 创建提货
export function create(data){
    return request({
        url: '/ecw/order-pickup/create',
        method: 'post',
        data
    })
}

// 批量提货
export function createBatch(data){
    return request({
        url: '/ecw/order-pickup/createBatch',
        method: 'post',
        data
    })
}

// 分批提货
export function createSplitBatch(data){
    return request({
        url: '/ecw/order-pickup/createSplitBatch',
        method: 'post',
        data
    })
}

// 获取提货日志
export function getAllPickUpListByOrderNo(params){
    return request({
        url: '/ecw/order-pickup/getAllPickUpListByOrderNo',
        method: 'get',
        params
    })
}

// 撤销提货日志
export function deletePickup(params){
    return request({
        url: '/ecw/order-pickup/delete',
        method: 'delete',
        params
    })
}
